<?php
    $template = get_post_meta($post->ID, 'wpzoom_post_template', true);
    if ($template == 'full') {
        $media_width = 1140;
        $size = "loop-full";
    }
    else {
        $media_width = 750;
        if ( option::is_on( 'post_thumb_aspect' ) ) {
            $size = "loop-large";
        } else {
            $size = "loop-sticky";
        }
    }
?>

<?php $not_recipe = get_post_meta($post->ID, 'wpzoom_is_not_recipe', true); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class( (!$not_recipe ? 'hrecipe' : '') ); ?>>

    <?php if ( option::is_on( 'post_thumb' ) && has_post_thumbnail() ) { ?>
        <div class="post-thumb">
            <?php the_post_thumbnail($size, array( 'class' => 'photo' )); ?>
        </div>
    <?php } ?>

    <header class="entry-header">
        <?php the_title( '<h1 class="entry-title fn">', '</h1>' ); ?>
        <div class="entry-meta">
            <?php if ( option::is_on( 'post_author' ) )   { printf( '<span class="entry-author">%s ', __( 'Written by', 'wpzoom' ) ); the_author_posts_link(); print('</span>'); } ?>
            <?php if ( option::is_on( 'post_date' ) )     : ?><span class="entry-date"><?php _e( 'on', 'wpzoom' ); ?> <?php printf( '<time class="entry-date" datetime="%1$s">%2$s</time> ', esc_attr( get_the_date( 'c' ) ), esc_html( get_the_date() ) ); ?></span> <?php endif; ?>
            <?php if ( option::is_on( 'post_category' ) ) : ?><span class="entry-category"><?php _e( 'in', 'wpzoom' ); ?> <?php the_category( ', ' ); ?></span><?php endif; ?>
            <?php edit_post_link( __( 'Edit', 'wpzoom' ), '<span class="edit-link">', '</span>' ); ?>
        </div>
    </header><!-- .entry-header -->


    <div class="entry-content">
        <?php the_content(); ?>
        <div class="clear"></div>
        <?php if ( option::is_on('banner_post_enable')  ) { // Banner after first post ?>
            <div class="adv_content">
            <?php
                if ( option::get('banner_post_html') <> "" ) {
                    echo stripslashes(option::get('banner_post_html'));
                } else {
                    ?><a href="<?php echo option::get('banner_post_url'); ?>"><img src="<?php echo option::get('banner_post'); ?>" alt="<?php echo option::get('banner_post_alt'); ?>" /></a><?php
                }
            ?></div><?php
        } ?>
    </div><!-- .entry-content -->

</article><!-- #post-## -->

    <footer class="entry-footer">
        <?php
            wp_link_pages( array(
                'before' => '<div class="page-links">' . __( 'Pages:', 'wpzoom' ),
                'after'  => '</div>',
            ) );
        ?>

        <?php if ( option::is_on( 'post_tags' ) ) : ?>
            <?php the_tags( '<div class="tag_list">' . __( '<h4>Tags</h4>', 'wpzoom' ). ' ', ' ',  '</div>'  ); ?>
        <?php endif; ?>

        <?php if ( option::is_on( 'post_share' ) ) : ?>
            <div class="share">
                <a href="https://twitter.com/intent/tweet?url=<?php echo urlencode( get_permalink() ); ?>&text=<?php echo urlencode( get_the_title() ); ?>" target="_blank" title="<?php esc_attr_e( 'Tweet this on Twitter', 'wpzoom' ); ?>" class="twitter"><?php echo esc_html( option::get( 'post_share_label_twitter' ) ); ?></a>
                <a href="https://facebook.com/sharer.php?u=<?php echo urlencode( get_permalink() ); ?>&t=<?php echo urlencode( get_the_title() ); ?>" target="_blank" title="<?php esc_attr_e( 'Share this on Facebook', 'wpzoom' ); ?>" class="facebook"><?php echo esc_html( option::get( 'post_share_label_facebook' ) ); ?></a>
                <?php $pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
                <a href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink($post->ID)); ?>&media=<?php echo $pinterestimage[0]; ?>&description=<?php the_title(); ?>" target="_blank" count-layout="vertical" title="<?php esc_attr_e( 'Pin it to Pinterest', 'wpzoom' ); ?>" class="pinterest pin-it-button"><?php echo esc_html( option::get( 'post_share_label_pinterest' ) ); ?></a>
                <a href="javascript:window.print()" title="<?php esc_attr_e( 'Print this Page', 'wpzoom' ); ?>" class="print"><?php echo esc_html( option::get( 'post_share_label_print' ) ); ?></a>
                <div class="clear"></div>
            </div>
        <?php endif; ?>

        <?php if ( option::is_on( 'post_author_box' ) ) : ?>
            <div class="post_author clearfix">
                <?php echo get_avatar( get_the_author_meta( 'ID' ) , 90 ); ?>
                <div class="author-description">
                    <h3 class="author-title author"><?php the_author_posts_link(); ?></h3>
                    <div class="author_links">
                        <?php if ( get_the_author_meta( 'facebook_url' ) ) { ?><a class="author_facebook" href="<?php the_author_meta( 'facebook_url' ); ?>" title="Facebook Profile" target="_blank"></a><?php } ?>
                        <?php if ( get_the_author_meta( 'twitter' ) ) { ?><a class="author_twitter" href="https://twitter.com/<?php the_author_meta( 'twitter' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Twitter" target="_blank"></a><?php } ?>
                        <?php if ( get_the_author_meta( 'instagram_url' ) ) { ?><a class="author_instagram" href="https://instagram.com/<?php the_author_meta( 'instagram_url' ); ?>" title="Instagram" target="_blank"></a><?php } ?>
                    </div>
                    <p class="author-bio">
                        <?php the_author_meta( 'description' ); ?>
                    </p>
                </div>
            </div>
        <?php endif; ?>

        <?php if ( is_active_sidebar( 'sidebar-post' ) ) : ?>
            <section class="site-widgetized-section section-single">
                <?php dynamic_sidebar( 'sidebar-post' ); ?>
            </section><!-- .site-widgetized-section -->
        <?php endif; ?>


        <?php if ( option::is_on( 'post_prevnext' ) ) : ?>
            <div class="prevnext">
                <?php
                $previous_post = get_previous_post();
                $next_post = get_next_post();
                if ( $previous_post != NULL ) {
                    ?><div class="previous_post_pag">
                        <div class="prevnext_container">
                             <?php if ( has_post_thumbnail( $previous_post->ID ) ) {
                                echo '<a href="' . get_permalink( $previous_post->ID ) . '" title="' . esc_attr( $previous_post->post_title ) . '">';
                                echo get_the_post_thumbnail( $previous_post->ID, 'prevnext-small' );
                                echo '</a>';
                            } ?>
                            <a class="prevnext_title" href="<?php echo get_permalink($previous_post->ID); ?>" title="<?php echo $previous_post->post_title; ?>"><?php echo $previous_post->post_title; ?></a>
                        </div>
                    </div><?php
                }

                if ( $next_post != NULL ) {
                    ?><div class="next_post_pag">
                        <div class="prevnext_container">
                            <a class="prevnext_title" href="<?php echo get_permalink($next_post->ID); ?>" title="<?php echo $next_post->post_title; ?>"><?php echo $next_post->post_title; ?></a>
                            <?php if ( has_post_thumbnail( $next_post->ID ) ) {
                                echo '<a href="' . get_permalink( $next_post->ID ) . '" title="' . esc_attr( $next_post->post_title ) . '">';
                                echo get_the_post_thumbnail( $next_post->ID, 'prevnext-small' );
                                echo '</a>';
                            } ?>
                        </div>
                    </div><?php
                }
                ?>
            </div>
        <?php endif; ?>
    </footer><!-- .entry-footer -->
